Summary:             CSV file library for bash
Name:                bash-csv
Version:             0.3
Release:             1
URL:                 https://git.labs.zkk.tuwien.ac.at/sw/bash-csv
Source0:             %{name}-%{version}.tar.xz
License:             GPL
Group:               Applications/System
BuildRoot:           %{_tmppath}/%{name}-root
BuildArchitectures:  noarch
Requires:            bash-base >= 0.6
BuildRequires:       bash-base >= 0.6

%description
This library provides CSV file support for bash. It aims to comply
with RFC 4180 but currently does not support newlines in escaped
fields.

%prep
%setup -q

%build

%check
./regress/csv-regress.sh

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/{libexec,share/doc/%{name}-%{version}}
cp -a libexec/%{name}.bash %{buildroot}/usr/libexec/.
cp -a doc/* %{buildroot}/usr/share/doc/%{name}-%{version}/.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/libexec/%{name}.bash
%doc /usr/share/doc/%{name}-%{version}
